#version 120
//
// simple.vert
//
invariant gl_Position;
attribute vec3 position;
uniform mat4 projectionMatrix;
varying vec3 diffuseColor;
uniform vec3 lightDirection;
uniform vec3 lightColor;
const vec3 diffuseMaterial = vec3(0.0, 1.0, 1.0);
 
void main(void)
{
  diffuseColor = vec3(dot(lightDirection, position)) * lightColor * diffuseMaterial;
  gl_Position = projectionMatrix * vec4(position, 1.0);
}
